/*
 * Copyright Camunda Services GmbH and/or licensed to Camunda Services GmbH under
 * one or more contributor license agreements. See the NOTICE file distributed
 * with this work for additional information regarding copyright ownership.
 * Licensed under the Camunda License 1.0. You may not use this file
 * except in compliance with the Camunda License 1.0.
 */
package io.camunda.zeebe.engine.state.instance;

import static org.assertj.core.api.Assertions.assertThat;

import io.camunda.zeebe.util.buffer.BufferUtil;
import org.junit.jupiter.api.Test;

class ElementInstanceTest {

  @Test
  void shouldReturnActiveSequenceFlowIds() {
    final var elementInstance = new ElementInstance();

    elementInstance.addActiveSequenceFlowId(BufferUtil.wrapString("A"));
    elementInstance.addActiveSequenceFlowId(BufferUtil.wrapString("B"));

    assertThat(elementInstance.getActiveSequenceFlowIds())
        .map(BufferUtil::bufferAsString)
        .containsExactly("A", "B");
  }
}
